0

OS: Arch Linux (64-bit)
Kernel: 4.18.5-arch1-1-ARCH
Shell: bash


I tried to install yay for my Arch Linux, but faced with an error.
Here is the log:

==> Making package: yay 9.1.0-1 (Mon 18 Feb 2019 08:01:59 PM MSK)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found yay-9.1.0.tar.gz
==> Validating source files with sha1sums...
    yay-9.1.0.tar.gz ... Passed
==> Extracting sources...
  -> Extracting yay-9.1.0.tar.gz with bsdtar
==> Removing existing $pkgdir/ directory...
==> Starting build()...
go build -v -ldflags '-s -w -X main.version=9.1.0' -o yay -mod=vendor
# github.com/Jguer/yay/v9
/usr/lib/go/pkg/tool/linux_amd64/link: running gcc failed: exit status 1
/usr/bin/ld: /tmp/go-link-743391074/000012.o: unable to initialize decompress status for section .debug_info
/usr/bin/ld: /tmp/go-link-743391074/000012.o: unable to initialize decompress status for section .debug_info
/usr/bin/ld: /tmp/go-link-743391074/000012.o: unable to initialize decompress status for section .debug_info
/usr/bin/ld: /tmp/go-link-743391074/000012.o: unable to initialize decompress status for section .debug_info
/tmp/go-link-743391074/000012.o: file not recognized: file format not recognized
collect2: error: ld returned 1 exit status

make: *** [Makefile:51: build] Error 2
==> ERROR: A failure occurred in build().
    Aborting...


What could the problem be?

1

upgrade your system linker

# pacman -Sy binutils

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.